#
# spec file for package echoes
#
# Copyright (c) 2019 giuseppe massimo bertani <gmbertani@users.sourceforge.net>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Summary:        RF spectrograph for meteor scatter
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Astronomy
Name:           echoes
Version:        0.29
Release:        0
Url:            https://sourceforge.net/projects/echoes
Source:         echoes-0.29.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libliquid-devel >= 1.3.2
BuildRequires:  libQt5Charts5-devel
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libusb-1_0-devel
BuildRequires:  pulseaudio-utils
BuildRequires:  rtl-sdr-devel
BuildRequires:  update-desktop-files
Requires:       rtl-sdr


%description
Echoes is a RF spectrograph for RTL-SDR devices designed for meteor scatter 

%prep

%setup
qmake-qt5 echoes.pro -r -spec linux-g++  AUX_INSTALL_DIR=/usr/share BIN_INSTALL_DIR=/usr/bin APP_VERSION=0.29 BUILD_DATE=`date --iso-8601`

%build
make 

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf /usr/bin/echoes $RPM_BUILD_ROOT/usr/bin/console_echoes
%suse_update_desktop_file -c -r echoes Echoes "Meteor scatter app" echoes echoes_xpm32 "Science;Astronomy"
echo "%defattr(-,root,root,-)"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_bindir}/%{name}"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_bindir}/console_%{name}"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/applications/%{name}.desktop"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/Italian.qm"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/English.qm"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/TEST_AUTOMATIC.rts"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/TEST_CONTINUOUS.rts"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/TEST_PERIODIC.rts"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/wikimanual.pdf"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/README.txt"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/fullreport.css"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/%{name}/license.txt"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/sounds" >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/sounds/ping.wav"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/fonts" >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/fonts/truetype" >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/fonts/truetype/Gauge-Heavy.ttf"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/fonts/truetype/Gauge-Oblique.ttf"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/fonts/truetype/Gauge-Regular.ttf"  >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/icons" >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/icons/hicolor" >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/icons/hicolor/32x32" >> $RPM_BUILD_DIR/file.list.echoes
echo "%dir %{_datadir}/icons/hicolor/32x32/apps" >> $RPM_BUILD_DIR/file.list.echoes
echo "%{_datadir}/icons/hicolor/32x32/apps/echoes_xpm32.xpm"  >> $RPM_BUILD_DIR/file.list.echoes

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/echoes
rm -rf ../file.list.echoes

%files -f ../file.list.echoes

%changelog
