/******************************************************************************

    Echoes is a RF spectrograph for RTL-SDR devices designed for meteor scatter
    Copyright (C) 2018  Giuseppe Massimo Bertani gmbertani(a)users.sourceforge.net


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.
    

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, http://www.gnu.org/copyleft/gpl.html






*******************************************************************************
$Rev:: 40                       $: Revision of last commit
$Author:: gmbertani             $: Author of last commit
$Date:: 2018-01-29 10:24:57 +01#$: Date of last commit
$Id: siteinfos.h 40 2018-01-29 09:24:57Z gmbertani $
*******************************************************************************/
#ifndef SITEINFOS_H
#define SITEINFOS_H

#include <QtCore>
#include <QtWidgets>
//#include <QGeoPositionInfoSource>
//#include <QGeoPositionInfo>


#include "settings.h"

namespace Ui {
class SiteInfos;
}

class SiteInfos : public QWidget
{
    Q_OBJECT

private:
    Ui::SiteInfos *ui;

protected:
    bool posValid;                  //true if valid position info source has been found

    Settings* as;                   //current application settings
    //QGeoPositionInfoSource *pis;
    QString logoFile;               //logo file path


protected slots:
    void slotAccept();
    void slotReload();
    void slotUpdatePosition();
    void slotChangeLogo();

public slots:
    void GUIinit();

public:
    explicit SiteInfos(Settings *appSettings, QWidget *parent = 0);
    ~SiteInfos();

signals:
    void logoChanged();


};

#endif // SITEINFOS_H
